package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BillPersonnelAdmission;
import com.huimv.admin.service.IBillPersonnelAdmissionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 * 入场申请 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@RestController
@CrossOrigin
@RequestMapping("/bill-personnel-admission")
public class BillPersonnelAdmissionController {
    @Autowired
    private IBillPersonnelAdmissionService billPersonnelAdmissionService;

    @PostMapping("/addAdmission")
    public Result addAdmission(HttpServletRequest httpServletRequest, @RequestParam("admissionType") String admissionType,
                               @RequestParam("vistitType") String vistitType,
                               @RequestParam("userName") String userName,
                               @RequestParam("phone") String phone,
                               @RequestParam("workName") String workName,
                               @RequestParam("papersType") String papersType,
                               @RequestParam("papersCode") String papersCode,
                               @RequestParam("imgUrl") MultipartFile imgUrl,
                               @RequestParam("vistitDate") String vistitDate,
                               @RequestParam("vistitReson") String vistitReson,
                               @RequestParam("destId") String destId,
                               @RequestParam("destName") String destName) throws IOException {
        return billPersonnelAdmissionService.addAdmission(httpServletRequest,admissionType,vistitType,userName,phone,workName,papersType,papersCode,imgUrl,vistitDate,vistitReson,destId,destName);
    }

    @PostMapping("/listPersonalAdmission")
    public Result listPersonalAdmission(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return billPersonnelAdmissionService.listPersonalAdmission(httpServletRequest,paramsMap);
    }

    @PostMapping("/listAdmission")
    public Result listAdmission(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return billPersonnelAdmissionService.listAdmission(httpServletRequest,paramsMap);
    }

    @PostMapping("handleAdmission")
    public Result handleAdmission (HttpServletRequest httpServletRequest,@RequestBody Map<String, String> paramsMap){
        return billPersonnelAdmissionService.handleAdmission(httpServletRequest,paramsMap);
    }

}
